<?php
/**
 * RegisterValidationTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CustomerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Customer Auth
 *
 * Customer authorisation
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CustomerAuthClient\Dto;
use \Ensi\CustomerAuthClient\ObjectSerializer;

/**
 * RegisterValidationTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Registration validation methods available:   * &#x60;password&#x60; - via password   * &#x60;code_by_phone&#x60; - via phone confirmation code
 * @package  Ensi\CustomerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class RegisterValidationTypeEnum
{
    
    /** Via password */
    public const PASSWORD = 'password';
    
    /** Via phone confirmation code */
    public const CODE_BY_PHONE = 'code_by_phone';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::PASSWORD,
            self::CODE_BY_PHONE,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::PASSWORD => 'Via password',
            self::CODE_BY_PHONE => 'Via phone confirmation code',
        ];
    }
}


